Summary:	The Ultimate Packer for eXecutables
Name:		upx
Version:	2.03
Release:	%mkrel 1
License:	GPL
Group:		Archiving/Compression
URL:		http://upx.sourceforge.net/
Source0:	http://upx.sourceforge.net/download/%{name}-%{version}-src.tar.bz2
BuildRequires:	libucl-devel >= 1.03
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
UPX is an advanced executable file compressor. UPX will typically
reduce the file size of programs and DLLs by around 50%-70%, thus
reducing disk space, network load times, download times and other
distribution and storage costs.

Programs and libraries compressed by UPX are completely self-contained
and run exactly as before, with no runtime or memory penalty for most
of the supported formats.

UPX supports a number of different executable formats, including
Win95/98/ME/NT/2000 programs and DLLs, DOS programs, and Linux executables.

UPX is rated number one in the well known Archive Comparison Test. Visit
http://compression.ca/act-exepack.html

%prep

%setup -q -n %{name}-%{version}-src

%build
# building the docs
%make -C doc
export UCLDIR=%{_prefix}
%make -C src
     
%install
rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

install -m 755 src/upx.out %{buildroot}%{_bindir}/upx
install -m 644 doc/upx.1 %{buildroot}%{_mandir}/man1/

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc BUGS LICENSE NEWS PROJECTS README* THANKS doc/upx.doc doc/upx.html doc/*.txt
%{_bindir}/*
%attr(644,root,man) %{_mandir}/man1/*


%changelog
* Mon Dec 11 2006 Oden Eriksson <oeriksson@mandriva.com> 2.03-1mdv2007.0
+ Revision: 94796
- Import upx



* Mon Dec 11 2006 Oden Eriksson <oeriksson@mandriva.com> 2.03-1mdv2007.1
- 2.03

* Wed Jun 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.25-2mdk
- enable parallel build
- fix used build flags
- fix description (Stef)

* Wed Jun 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.25-1mdk
- requires new ucl
- drop prefix
- download URL
- New release 1.25

* Mon Jun  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.24-3mdk
- rebuild for new g++

* Sun Apr  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.24-2mdk
- fix for new ucl header location

* Wed Nov 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.24-1mdk
- new version

* Mon Oct 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.23-1mdk
- new version

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 1.22-3mdk
- Rebuild with gcc3.2

* Mon Jul 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.22-2mdk
- gcc 3.2 build

* Fri Jun 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.22-1mdk
- new version
- minor spec file fixes

* Fri Jun  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.21-1mdk
- update URL
- License instead of Copyright
- fix build, link with g++
- quiet tar
- 1.21

* Mon Jun 18 2001 HA Quc-Vit <viet@mandrakesoft.com> 1.20-1mdk
- Ugly perl -pi -e to include the correct headers from ucl.
- Ugly perl -pi -e to take care of a difficult Makefile.
- Initial packaging.
- TODO see if need NRZ or not
